Subject: bug#73500: eglot: diagnostic location not always shown

From: Federico Beffa <[email-masked]>
Date: Tue, 1 Oct 2024 22:18:15 +0200

On 01/10/2024 21:48, Dmitry Gutov wrote:
> That one is using the face eglot-diagnostic-tag-unnecessary-face, 
> which you can customize to add an underline or any other decorations.
>
> It was added in commit 0f44d338f17bd4, see the description here 
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=0f44d338f17bd4
>
> The choice of using 'shadow' is explained with a reference to the 
> protocol, which says:
>
> /**
>  * Unused or unnecessary code.
>  *
>  * Clients are allowed to render diagnostics with this tag faded out
>  * instead of having an error squiggle.
>  */
>
> https://microsoft.github.io/language-server-protocol/specifications/lsp/3.17/specification/#diagnosticTag 
>
>

OK, I see, the shadow is so similar the normal font that, before you 
mentioned it, it was unnoticeable to me. But if it's customizable, 
that's great.

> > Here a screenshot
>
> Same look on my machine.
>
> Should we remove the exclamation point instead, to avoid the semantic 
> conflict? I'm not sure, probably not.

Is the exclamation mark used with all warnings? If yes, I'd keep it. 
Even if the warning has a tag equal to 1, it's still a warning.

Thanks for your help!